<?php
require_once( dirname(__FILE__) . '../../../../wp-config.php');
require_once( dirname(__FILE__) . '/functions.php');
header("Content-type: text/css"); 
global $options; foreach ($options as $value) { if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); } } ?>

@import 'custom.css';

/* --------------[ User-Defined Adjustments ]-------------- */

body {
	<?php if ( $wp_ellie_body_bg_image == "Solid Color" ) { ?>
	background: <?php echo $wp_ellie_body_backgroundcolor; ?>;

	<?php } elseif ( $wp_ellie_body_bg_image == "Dark Gray Wood" ) { ?>
	background: #000 url(images/darkwoodbg.jpg) repeat fixed bottom left;

	<?php } elseif ( $wp_ellie_body_bg_image == "Dark Brown Wood 1" ) { ?>
	background: #000 url(images/brownwoodbg.jpg) repeat fixed top left;

	<?php } elseif ( $wp_ellie_body_bg_image == "Dark Brown Wood 2" ) { ?>
	background: #000 url(images/brownwoodbg2.jpg) repeat fixed top left;

	<?php } elseif ( $wp_ellie_body_bg_image == "Black Denim" ) { ?>
	background: #000 url(images/blackdenim.jpg) repeat fixed top left;

	<?php } elseif ( $wp_ellie_body_bg_image == "Blue Starburst" ) { ?>
	background: #6699CC url(images/starburst.jpg) repeat fixed top center;

	<?php } elseif ( $wp_ellie_body_bg_image == "Gray Dots" ) { ?>
	background: #dddddd url(images/bodybg-dot.gif) repeat fixed top left;

	<?php } elseif ( $wp_ellie_body_bg_image == "Night Sky" ) { ?>
	background: #000033 url(images/nightsky.jpg) repeat fixed top center;

	<?php } elseif ( $wp_ellie_body_bg_image == "Ocean View" ) { ?>
	background: #000033 url(images/oceanview.jpg) repeat-x fixed top center;

	<?php } elseif ( $wp_ellie_body_bg_image == "Custom Body Background Image" ) { ?>
	background-image: url(<?php echo $wp_ellie_custom_body_bg_image; ?>);
	background-repeat: <?php echo $wp_ellie_custom_body_bg_image_repeat; ?>;
	background-attachment: <?php echo $wp_ellie_custom_body_bg_image_attachment; ?>;
	background-position: <?php echo $wp_ellie_custom_body_bg_image_position; ?>;
	background-color: <?php echo $wp_ellie_body_backgroundcolor; ?>;

	<?php } ?>

	font-family: <?php echo $wp_ellie_body_font_family; ?>;
	<?php if ( $wp_ellie_body_font_color ) { ?>
	color: <?php echo $wp_ellie_body_font_color; ?>;
	<?php } ?>
	}

h1, h2, h3, h4, h5, h6, h7, .sitetitle {
	font-family: <?php echo $wp_ellie_post_title_font; ?>;
	font-weight: <?php echo $wp_ellie_post_title_weight; ?>;
	}

<?php if ( $wp_ellie_rounded_corners == 'Yes' ) { ?>
/* -------------------[ Rounded Corners ]------------------- */

#wrap-top {
	margin:25px auto 0;
	width:990px;
	height:30px;
	background: url(images/wrap-bg-corners-trans.png) top left no-repeat;
	}

#wrap-bottom {
	margin:0 auto 25px;
	width:990px;
	height:20px;
	background: url(images/wrap-bg-corners-trans.png) bottom left no-repeat;
	}

#wrap {
	padding-top:5px;
	padding-bottom:20px;
	}
<?php } ?>

/* -------------------[ Site Title Adjustments ]------------------- */

#sitetitle h1, #sitetitle .title {
	font-size: <?php echo $wp_ellie_site_title_size; ?>;
	font-weight: <?php echo $wp_ellie_site_title_weight; ?>;
	font-family: <?php echo $wp_ellie_site_title_font_family; ?>;
	}

<?php if ( $wp_ellie_site_title_color ) { ?>
#sitetitle .description, #sitetitle .title, #sitetitle .title a { 
	color:<?php echo $wp_ellie_site_title_color; ?>;
	}
<?php } ?>

<?php if ( $wp_ellie_site_title_option == 'Basic Text-Type Title' ) { ?>
#head-content {
	background-image: none;
	}
<?php } ?>

<?php if ( $wp_ellie_site_title_option == 'Image/Logo-Type Title' ) { ?>
#sitetitle {
	float:none;
	text-indent:-10000em;
	position:absolute;
	display:none;
	}
<?php } ?>

<?php if ( $wp_ellie_ad468head == 'no' ) { ?>
#sitetitle {
	width:920px;
	}
<?php } ?>

<?php if ( $wp_ellie_site_title_option == 'Image/Logo-Type Title' && $wp_ellie_site_logo_url ) { ?>
#head-content {
	background: transparent;
	background-image: url(<?php echo $wp_ellie_site_logo_url; ?>);
	background-position: <?php echo $wp_ellie_site_logo_position; ?>;
	background-repeat: no-repeat;
	}
<?php } ?>

<?php if ( $wp_ellie_header_bg_color ) { ?>
/* ----------[ Header Background Color Adjustments ]---------- */

#header {
	background-image:none;
	background-color: <?php echo $wp_ellie_header_bg_color; ?>;
	}

#head-content {
	width:890px;
	padding:0 15px;
	}
<?php } ?>

/* --------------[ Top Navigation Adjustments ]-------------- */

#topnav,
#topnav li ul {
	font-size: <?php echo $wp_ellie_topnav_size; ?>; 
	font-weight: <?php echo $wp_ellie_topnav_weight; ?>;
	font-family: <?php echo $wp_ellie_topnav_font_family; ?>;
	}

<?php if ( $wp_ellie_topnav_link_color ) { ?>
#topnav ul a, 
#topnav ul a:link, 
#topnav ul a:visited {
	color:<?php echo $wp_ellie_topnav_link_color; ?>;
	}
<?php } ?>

<?php if ( $wp_ellie_topnav_link_hover_color ) { ?>
#topnav ul a:hover, 
#topnav ul a:active  {
	color:<?php echo $wp_ellie_topnav_link_hover_color; ?>;
	}
<?php } ?>

/* --------------[ Cat Navigation Adjustments ]-------------- */

#catnav,
#catnav li ul {
	font-size: <?php echo $wp_ellie_catnav_size; ?>; 
	font-weight: <?php echo $wp_ellie_catnav_weight; ?>;
	font-family: <?php echo $wp_ellie_catnav_font_family; ?>; 	
	}

<?php if ( $wp_ellie_catnav_link_color ) { ?>
#catnav ul a, 
#catnav ul a:link, 
#catnav ul a:visited {
	color:<?php echo $wp_ellie_catnav_link_color; ?>;
	}
<?php } ?>

<?php if ( $wp_ellie_catnav_link_hover_color ) { ?>
#catnav ul a:hover, 
#catnav ul a:active  {
	color:<?php echo $wp_ellie_catnav_link_hover_color; ?>;
	}
<?php } ?>

/* --------------[ Main Content Adjustments ]-------------- */

.maincontent {
	font-size: <?php echo $wp_ellie_content_size; ?>;
	}

.maincontent a, .maincontent a:link, .maincontent a:visited { 
	<?php if ( $wp_ellie_content_link_color ) { ?>
	color: <?php echo $wp_ellie_content_link_color; ?>;
	<?php } ?>
	}

.maincontent a:hover, .maincontent a:active, .post h1 a:active, .post h1 a:hover, .post h2 a:active, .post h2 a:hover { 
	<?php if ( $wp_ellie_content_link_hover_color ) { ?>
	color: <?php echo $wp_ellie_content_link_hover_color; ?>;
	<?php } ?>
	}

/* --------------[ Sidebar-Right Adjustments ]-------------- */

#contentright {
	font-size: <?php echo $wp_ellie_right_sidebar_size; ?>;
	}

<?php if ( $wp_ellie_right_sidebar_link_color ) { ?>
#contentright a, #contentright a:link, #contentright a:visited { 
	color: <?php echo $wp_ellie_right_sidebar_link_color; ?>;
	}
	<?php } ?>

<?php if ( $wp_ellie_right_sidebar_hover_link_color ) { ?>
#contentright a:hover, #contentright a:active { 
	color: <?php echo $wp_ellie_right_sidebar_hover_link_color; ?>;
	}
<?php } ?>

<?php if ( $wp_ellie_sidebar_left == Yes ) { ?>
/* --------------[ Sidebar Float Adjustments ]-------------- */

#page {
	background:#fff url(images/dot.gif) 330px 0 repeat-y;
	}

#contentleft {
	float:right;
	padding: 0;
	}

#contentright {	
	margin: 0;	
	} 

#sidebar-bottom {
	padding:0 30px 0 0;
	}

#contentright li {
	padding:0 30px 20px 0;
	}
<?php } ?>

/* --------------[ Footer Adjustments ]-------------- */

#footer {
	<?php if ( $wp_ellie_footer_bg_color ) { ?>
	background:<?php echo $wp_ellie_footer_bg_color; ?>;
	<?php } ?>
	font-size:<?php echo $wp_ellie_footer_font_size; ?>;
	<?php if ( $wp_ellie_footer_font_color ) { ?>
	color:<?php echo $wp_ellie_footer_font_color; ?>;
	<?php } ?>
	}

#footer a, #footer a:link, #footer a:visited { 
	<?php if ( $wp_ellie_footer_link_color ) { ?>
	color: <?php echo $wp_ellie_footer_link_color; ?>;
	<?php } ?>
	}

#footer a:hover, #footer a:active { 
	<?php if ( $wp_ellie_footer_hover_link_color ) { ?>
	color: <?php echo $wp_ellie_footer_hover_link_color; ?>;
	<?php } ?>
	}

/* --------------[ Post Title Link Color Adjustments ]-------------- */

<?php if ( $wp_ellie_post_title_link_color ) { ?>
.post-title a, .post-title a:link, .post-title a:visited {
	color: <?php echo $wp_ellie_post_title_link_color; ?> !important;
	}
<?php } ?>

<?php if ( $wp_ellie_post_title_link_hover_color ) { ?>
.post-title a:hover, .post-title a:active {
	color: <?php echo $wp_ellie_post_title_link_hover_color; ?> !important;
	}
<?php } ?>